.create-products__modal {
  padding: 25px;
  background: #fff;
  width: 100%;
  max-width: 900px;
  border-radius: 5px;
}

.create-product-form {
  padding-right: 20px;
  max-height: 80vh;
  overflow-y: auto;

  &__wrap {
    display: flex;
    justify-content: center;
    gap: 50px;
    width: 100%;

  }

  &__img {

    max-width: 450px;
    width: 100%;
    height: 340px;
    border: solid 1px #49a698;;
    border-radius: 5px;

    &:hover .create-product-form__remove-img {
      opacity: 1;
    }

    &-warning {
      margin-top: 5px;
    }
  }

  &__img-wrap {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    padding: 2px;

    label {
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      cursor: pointer;
    }

    img {
      display: block;
      width: 100%;
      height: 100%;
      object-position: center;
      object-fit: fill;
    }

  }

  &__remove-img {
    position: absolute;
    top: 0px;
    right: 0px;
    transition: opacity 0.3s ease;
    opacity: 0;

    &:hover {
      & svg path {
        stroke: #3bb77e
      }
    }
  }

  &__desc {
    width: 100%;
  }

  .form-group {
    margin-bottom: 10px;

    label {


      span {
        margin-left: 10px;
        font-size: 18px;
        line-height: 18px;
        display: block;
        font-weight: 500;
        margin-bottom: 5px;
      }
    }

    input,
    select {
      height: 45px;
      width: 100%;
      outline: none;
      font-size: 16px;
      border-radius: 5px;
      padding-left: 15px;
      border: 1px solid #ccc;
      border-bottom-width: 2px;
      transition: border-color 0.3s ease;

      &:focus,
      &:valid {
        border-color: #49a698;
      }
    }
  }

  &__info {
    width: 100%;
    margin-top: 30px;
  }

  &__info-title {
    text-align: center;
    font-size: 28px;
    line-height: 32px;
    border-bottom-width: 4px;
    border-bottom-style: solid;
    border-bottom-color: #fdfdfd;
    border-radius: 6px;
  }

  &__info-wrap {
    width: 100%;
    margin-top: 15px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(380px, 1fr));
    gap: 20px;

  }


  &__info-property,
  &__info-general {
    margin-bottom: 20px;

    width: 100%;
  }

  &__property-title,
  &__general-title {
    font-weight: 600;
    font-size: 20px;
    line-height: 22px;
    position: relative;
    padding-left: 10px;
    margin-bottom: 10px;
    border-bottom: 1px dashed #3bb77e;
  }


  & .primary__button {
    padding: 10px;
    width: 100%;
    border-radius: 5px;
    border: none;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 1px;
    cursor: pointer;
    transition: all 0.3s ease;
    background: linear-gradient(135deg, #3bb77e, #5993b6);
    margin-top: 10px;
    justify-content: center;

    &:hover {
      background: linear-gradient(-135deg, #3bb77e, #5993b6);
    }
  }

  .has-valid {
    span {
      color: #df1c59;
    }

    input {
      border-color: #df1c59 !important;
    }
  }
}

.alert {
  background-color: #4caf50;
  color: white;
  padding: 15px;
  text-align: center;
  position: fixed;
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  width: 300px;
  border-radius: 4px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  z-index: 1000;
}